
variable "address_space" {
  type        = string
  description = "The address space that is used by the virtual network."
  default     = "10.0.0.0/16"
}

variable "address_spaces" {
  type        = list(string)
  description = "The list of the address spaces that is used by the virtual network."
  default     = []
}

variable "dns_servers" {
  type        = list(string)
  description = "The DNS servers to be used with vNet."
  default     = []
}

variable "resource_group_location" {
  type        = string
  description = "The location/region where the virtual network is created. Changing this forces a new resource to be created."
  default     = null
}

variable "resource_group_name" {
  type        = string
  description = "The name of an existing resource group to be imported."
  default     = ""
}

variable "subnet_delegation" {
  type        = map(list(object({
    name = string
    service_delegation = object({
      name    = string
      actions = optional(list(string))
    })
  })))
  description = "`service_delegation` blocks for `azurerm_subnet` resource, subnet names as keys, list of delegation blocks as value, more details about delegation block could be found at the [document](https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/subnet#delegation)."
  default     = {}
}

variable "subnet_enforce_private_link_endpoint_network_policies" {
  type        = map(bool)
  description = "A map with key (string) `subnet name`, value (bool) `true` or `false` to indicate enable or disable network policies for the private link endpoint on the subnet. Default value is false."
  default     = {}
}

variable "subnet_names" {
  type        = list(string)
  description = "A list of public subnets inside the vNet."
  default     = [
  "subnet1"
]
}

variable "subnet_prefixes" {
  type        = list(string)
  description = "The address prefix to use for the subnet."
  default     = [
  "10.0.1.0/24"
]
}

variable "subnet_service_endpoints" {
  type        = map(list(string))
  description = "A map with key (string) `subnet name`, value (list(string)) to indicate enabled service endpoints on the subnet. Default value is []."
  default     = {}
}

variable "tags" {
  type        = map(string)
  description = "The tags to associate with your network and subnets."
  default     = {
  "environment": "dev"
}
}

variable "tracing_tags_enabled" {
  type        = bool
  description = "Whether enable tracing tags that generated by BridgeCrew Yor."
  default     = false
}

variable "tracing_tags_prefix" {
  type        = string
  description = "Default prefix for generated tracing tags"
  default     = "avm_"
}

variable "use_for_each" {
  type        = bool
  description = "Use `for_each` instead of `count` to create multiple resource instances."
  default     = ""
}

variable "vnet_name" {
  type        = string
  description = "Name of the vnet to create."
  default     = "acctvnet"
}

